Strophe 0.13 XMPP client library

Macros | Typedefs | Functions | Variables
sock.h File Reference

Socket abstraction API. More...

## Macros
#define | INVALID_SOCKET (-1)

## Typedefs
typedef int | sock_t

## Functions
void | sock_initialize (void)
void | sock_shutdown (void)
int | sock_error (struct conn_interface *intf)
xmpp_sock_t * | sock_new (xmpp_conn_t *conn, const char *domain, const char *host, unsigned short port)
void | sock_free (xmpp_sock_t *xsock)
sock_t | sock_connect (xmpp_sock_t *xsock)
int | sock_close (sock_t sock)
int | sock_set_blocking (sock_t sock)
int | sock_set_nonblocking (sock_t sock)
int | sock_read (struct conn_interface *intf, void *buff, size_t len)
int | sock_write (struct conn_interface *intf, const void *buff, size_t len)
int | sock_is_recoverable (struct conn_interface *intf, int error)
int | sock_connect_error (sock_t sock)
int | sock_set_keepalive (sock_t sock, int timeout, int interval, int count, unsigned int user_timeout)

## Variables
const struct conn_interface | sock_intf

## Detailed Description

Socket abstraction API.

## Macro Definition Documentation

## ◆ INVALID_SOCKET

#define INVALID_SOCKET (-1)

## Typedef Documentation

## ◆ sock_t

typedef int sock_t

## Function Documentation

## ◆ sock_initialize()

void sock_initialize | ( | void |  | ) |

## ◆ sock_shutdown()

void sock_shutdown | ( | void |  | ) |

## ◆ sock_error()

int sock_error | ( | struct conn_interface * | intf | ) |

## ◆ sock_new()

xmpp_sock_t * sock_new | ( | xmpp_conn_t * | conn,
|  | const char * | domain,
|  | const char * | host,
|  | unsigned short | port )

## ◆ sock_free()

void sock_free | ( | xmpp_sock_t * | xsock | ) |

## ◆ sock_connect()

sock_t sock_connect | ( | xmpp_sock_t * | xsock | ) |

## ◆ sock_close()

int sock_close | ( | sock_t | sock | ) |

## ◆ sock_set_blocking()

int sock_set_blocking | ( | sock_t | sock | ) |

## ◆ sock_set_nonblocking()

int sock_set_nonblocking | ( | sock_t | sock | ) |

## ◆ sock_read()

int sock_read | ( | struct conn_interface * | intf,
|  | void * | buff,
|  | size_t | len )

## ◆ sock_write()

int sock_write | ( | struct conn_interface * | intf,
|  | const void * | buff,
|  | size_t | len )

## ◆ sock_is_recoverable()

int sock_is_recoverable | ( | struct conn_interface * | intf,
|  | int | error )

## ◆ sock_connect_error()

int sock_connect_error | ( | sock_t | sock | ) |

## ◆ sock_set_keepalive()

int sock_set_keepalive | ( | sock_t | sock,
|  | int | timeout,
|  | int | interval,
|  | int | count,
|  | unsigned int | user_timeout )

## Variable Documentation

## ◆ sock_intf

const struct conn_interface sock_intf
| extern